Sphere 3D Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/sphere-3d-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1751241600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://sphere3d.gcs-web.com/news-releases/news-release-details/sphere-3d-reports-second-quarter-2025-financial-results",
    "holding_balance": 20.5,
    "holding_net_change": 20.5,
    "transaction_value_usd": 2197667.035,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759190400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://sphere3d.gcs-web.com/static-files/b80c5de2-d5f5-4f84-b484-040096fb2b8f",
    "holding_balance": 22.7,
    "holding_net_change": 2.2,
    "transaction_value_usd": 251078.432,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    22.7
  ],
  [
    1787011200000,
    22.7
  ],
  [
    1787097600000,
    22.7
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    1426148.838
  ],
  [
    1787011200000,
    1464037.862
  ],
  [
    1787097600000,
    1468516.345
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 2.041,
    "date": "2026-08-14",
    "high": 2.185,
    "open": 2.12,
    "close": 2.1,
    "volume": 152700
  },
  {
    "low": 2.06,
    "date": "2026-08-17",
    "high": 2.13,
    "open": 2.09,
    "close": 2.1,
    "volume": 63100
  },
  {
    "low": 1.94,
    "date": "2026-08-18",
    "high": 2.17,
    "open": 2.08,
    "close": 1.94,
    "volume": 202673
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": -0.4,
  "eps_estimate_current_quarter": -7.2
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 21.25,
  "six_month_return": 57.72,
  "three_month_return": 15.48
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/sphere-3d-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 8.1,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}